# List locations

Returns locations. Works with Shopify and WooCommerce accounts.

```http
GET https://api.pozy.ai/v1/commerce/locations
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/commerce/locations?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/locations?accountId=696e0b682d0a31188e7a2ba9", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/commerce/locations",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `locations`, array of object
  - `id`, string
  - `name`, string
  - `isActive`, boolean
  - `fulfillsOnlineOrders`, boolean
  - `address`, object
    - `line1`, string: Can be null
    - `line2`, string: Can be null
    - `city`, string: Can be null
    - `region`, string: Can be null
    - `postalCode`, string: Can be null
    - `countryCode`, string: Can be null
    - `phone`, string: Can be null

```json
{
  "locations": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme",
      "isActive": true,
      "fulfillsOnlineOrders": true,
      "address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "region": "string",
        "postalCode": "string",
        "countryCode": "US",
        "phone": "+14155550123"
      }
    }
  ]
}
```
